﻿using System.Windows;
using Databinding.ViewModel;

namespace Databinding
{
    /// <summary>
    /// Interaction logic for _1Way.xaml
    /// </summary>
    public partial class OneWay
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="OneWay"/> class.
        /// </summary>
        public OneWay()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Called when [way_ on loaded].
        /// </summary>
        /// <param name="sender">The sender.</param>
        /// <param name="e">The <see cref="RoutedEventArgs"/> instance containing the event data.</param>
        private void OneWay_OnLoaded(object sender, RoutedEventArgs e)
        {
            this.DataContext = new OneWayViewModel {BodyHtml = "initial body html"};
        }
    }
}