﻿
Imports System.Windows
Imports Databinding.ViewModel

''' <summary>
''' Interaction logic for MainWindow.xaml
''' </summary>
Partial Public Class EmailEditor
    ''' <summary>
    ''' Initializes a new instance of the <see cref="EmailEditor"/> class.
    ''' </summary>
    Public Sub New()
        InitializeComponent()

        DataContext = New EmailViewModel("Initial email subject", "Initial email body")
    End Sub

    ''' <summary>
    ''' Handles the Click event of the BtnInsertGreeting control.
    ''' </summary>
    ''' <param name="sender">The source of the event.</param>
    ''' <param name="e">The <see cref="RoutedEventArgs"/> instance containing the event data.</param>
    Private Sub BtnInsertGreeting_Click(sender As Object, e As RoutedEventArgs)
        wpfHtmlEditor1.UpdateBindings()
    End Sub

    ''' <summary>
    ''' Handles the Click event of the BtnGetEmail control.
    ''' </summary>
    ''' <param name="sender">The source of the event.</param>
    ''' <param name="e">The <see cref="RoutedEventArgs"/> instance containing the event data.</param>
    Private Sub BtnGetEmail_Click(sender As Object, e As RoutedEventArgs)
        wpfHtmlEditor1.UpdateBindings()
    End Sub
End Class